-- Priest SHADOWFIEND SPELL: 
function GoH_Priest_MenuButton_Shadowfiend_OnClick()
	    if GoHv5_Priest_Data.config.Shadowfiend == "NO" then
	    	GoHv5_Priest_Data.config.Shadowfiend = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Slaughter_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Priest_Data.config.Shadowfiend = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Priest_Set_Menu_Button_Images();
end

-- Priest SMITE SPELL: 
function GoH_Priest_MenuButton_Smite_OnClick()
	    if GoHv5_Priest_Data.config.Smite == "NO" then
	    	GoHv5_Priest_Data.config.Smite = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\HolyPower_1.mp3","Master");
	    else
	    	GoHv5_Priest_Data.config.Smite = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Priest_Set_Menu_Button_Images();
end

-- Priest DISPERSION SPELL: 
function GoH_Priest_MenuButton_Dispersion_OnClick()
	    if GoHv5_Priest_Data.config.Dispersion == "NO" then
	    	GoHv5_Priest_Data.config.Dispersion = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_Priest_Data.config.Dispersion = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Priest_Set_Menu_Button_Images();
end



-- Priest LEVITATE SPELL: 
function GoH_Priest_MenuButton_Levitate_OnClick()
	    if GoHv5_Priest_Data.config.Levitate == "NO" then
	    	GoHv5_Priest_Data.config.Levitate = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\JesusWalk_1.mp3","Master");
	    else
	    	GoHv5_Priest_Data.config.Levitate = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Priest_Set_Menu_Button_Images();
end

-- Priest FADE SPELL: 
function GoH_Priest_MenuButton_Fade_OnClick()
	    if GoHv5_Priest_Data.config.Fade == "NO" then
	    	GoHv5_Priest_Data.config.Fade = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_Priest_Data.config.Fade = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Priest_Set_Menu_Button_Images();
end

-- Priest SURRENDER TO MADNESS SPELL: 
function GoH_Priest_MenuButton_Surrender_to_Madness_OnClick()
	    if GoHv5_Priest_Data.config.Surrender_to_Madness == "NO" then
	    	GoHv5_Priest_Data.config.Surrender_to_Madness = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Madness.mp3","Master");
	    else
	    	GoHv5_Priest_Data.config.Surrender_to_Madness = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Priest_Set_Menu_Button_Images();
end

-- Priest PHYCHIC SCREAM SPELL: 
function GoH_Priest_MenuButton_phychic_scream_OnClick()
	    if GoHv5_Priest_Data.config.phychic_scream == "NO" then
	    	GoHv5_Priest_Data.config.phychic_scream = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Priest_Data.config.phychic_scream = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Priest_Set_Menu_Button_Images();
end




-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DRUID SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DRUID MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Priest_Set_Menu_Button_Images()

		--Priest Sounds
	
	    --     Priest PHYCHIC SCREAM
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_PRIEST_PHYCHIC_SCREAM_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_PHYCHIC_SCREAM_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_PHYCHIC_SCREAM_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Priest_Data.config.phychic_scream == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_PRIEST_PHYCHIC_SCREAM_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_PRIEST_PHYCHIC_SCREAM_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			

		end
	

		
	-- ###################################################################################################
        -- ###################################################################################################
		--     Priest SURRENDER TO MADNESS
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_PRIEST_SURRENDER_TO_MADNESS_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_SURRENDER_TO_MADNESS_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_SURRENDER_TO_MADNESS_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Priest_Data.config.Surrender_to_Madness == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_PRIEST_SURRENDER_TO_MADNESS_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_PRIEST_SURRENDER_TO_MADNESS_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			

		end	
		
	-- ###################################################################################################
        -- ###################################################################################################
		--     Priest FADE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_PRIEST_FADE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_FADE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_FADE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Priest_Data.config.Fade == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_PRIEST_FADE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_PRIEST_FADE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			

		end	

	-- ###################################################################################################
        -- ###################################################################################################
		--     Priest LEVITATE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_PRIEST_LEVITATE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_LEVITATE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_LEVITATE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Priest_Data.config.Levitate == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_PRIEST_LEVITATE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_PRIEST_LEVITATE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			

		end	
		
	

	-- ###################################################################################################
        -- ###################################################################################################
		--     Priest DISPERSION
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_PRIEST_DISPERSION_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_DISPERSION_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_DISPERSION_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Priest_Data.config.Dispersion == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_PRIEST_DISPERSION_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_PRIEST_DISPERSION_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			

		end

	-- ###################################################################################################
        -- ###################################################################################################
		--     Priest SMITE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_PRIEST_SMITE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_SMITE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_SMITE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Priest_Data.config.Smite == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_PRIEST_SMITE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_PRIEST_SMITE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			

		end

	-- ###################################################################################################
        -- ###################################################################################################
		--     Priest SHADOWFIEND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_PRIEST_SHADOWFIEND_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_SHADOWFIEND_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_PRIEST_SHADOWFIEND_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Priest_Data.config.Shadowfiend == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_PRIEST_SHADOWFIEND_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_PRIEST_SHADOWFIEND_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			

		end	
end


